
services:

  book_service:
    container_name: book_service
    build:
      context: .
      dockerfile: ./book_service/Dockerfile
    expose:
      - 20001

  theme_service:
    container_name: theme_service
    build:
      context: .
      dockerfile: ./theme_service/Dockerfile
    expose:
      - 20002

  nginx:
    image: nginx:latest
    ports:
      - "80:80"
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf
    depends_on:
      - book_service
      - theme_service

